Bug 789507 - [RFE] SSSD should provide fast in memory cache to provide similar functionality as NSCD currently provides
Summary: [RFE] SSSD should provide fast in memory cache to provide similar functionali...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-10 22:47 UTC by Dmitri Pal
Modified: 2020-05-02 16:14 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Enhancement
Doc Text:
Cause: Even if a user entry was cached by the SSSD, it had to be read from the cache file on disk Consequence: The cache reads might have been slow in some performance-critical environments. Change: A new layer of cache, stored in memory was introduced. Result: The performance of returning cached entries was improved by an order of magnitude
Clone Of:
Environment:
Last Closed: 2013-02-21 09:35:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 1399 None closed SSSD should provide fast in memory cache to provide similar functionality as NSCD currently provides 2020-05-02 16:14:24 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-02-10 22:47:24 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/357

SSSD is currently in conflict with the NSCD. It is recommended not to use NSCD with the maps SSSD provides. But performance of the SSSD is not sufficient to address all the exiting requirements. SSSD should be enhanced to provide an NSCD type in memory cache solution that would meet these requirements.

Comment 1 RHEL Program Management 2012-07-10 06:13:40 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-11 02:03:43 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Jenny Severance 2012-12-19 14:50:05 UTC
New feature implemented and automated test coverage is complete

Comment 5 errata-xmlrpc 2013-02-21 09:35:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.